#
# spec file for package perl-Date-Calc (Version 5.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-Bit-Vector perl-Carp-Clan permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Date-Calc
BuildRequires:  perl-Bit-Vector
Version:        5.4
Release:        14.2
Provides:       DateCalc perl_dc
Obsoletes:      perl_dc
Requires:       perl-Bit-Vector
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License, GPL
URL:            http://cpan.org/modules/by-module/Date
Summary:        Perl Date-Calc Module
Source:         Date-Calc-%{version}.tar.bz2
Patch:          Date-Calc-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package consists of a C library and a Perl module (which uses the
C library, internally) for all kinds of date calculations based on the
Gregorian calendar (the one used in all western countries today),
thereby complying with all relevant norms and standards: ISO/R
2015-1971, DIN 1355 and, to some extent, ISO 8601 (where applicable).

(See also http://www.engelschall.com/u/sb/download/Date-Calc/DIN1355/
for a scan of part of the "DIN 1355" document (in German)).

The module of course handles year numbers of 2000 and above correctly
("Year 2000" or "Y2K" compliance) -- actually all year numbers from 1
to the largest positive integer representable on your system (which is
at least 32767) can be dealt with.

Note that this package EXTRAPOLATES the Gregorian calendar BACK until
the year 1 A.D. -- even though the Gregorian calendar was only adopted
in 1582 by most (not all) European countries, in obedience to the
corresponding decree of catholic pope Gregor I in that year.

Some (mainly protestant) countries continued to use the Julian calendar
(used until then) until as late as the beginning of the 20th century.

Finally, note that this package is not intended to do everything you
could ever imagine automagically for you; it is rather intended to
serve as a toolbox (in the best of UNIX spirit and traditions) which
should, however, always get you where you want to go.



Authors:
--------
    Steffen Beyer <sb@engelschall.com>

%debug_package
%prep
%setup -n Date-Calc-%{version}
%patch

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist
chmod -R u+w examples/ tools/ *.txt
for i in `ls *.txt`; do mv $i `basename $i .txt`; done
rm -rf tools/compile.bat
rm -rf $RPM_BUILD_ROOT%{_mandir}/man3/Carp::*
rm -rf $RPM_BUILD_ROOT%{perl_vendorarch}/Carp

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root, root)
%doc Artistic CHANGES CREDITS EXAMPLES GNU_GPL GNU_LGPL INSTALL README TOOLS examples/ tools/
%doc %{_mandir}/man?/*
%{perl_vendorarch}/auto/Date/
%{perl_vendorarch}/Date/
/var/adm/perl-modules/%{name}

%changelog -n perl-Date-Calc
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug 01 2005 - cthiel@suse.de
- added perl-Carp-Clan to neededforbuild
* Mon Aug 01 2005 - cthiel@suse.de
- update to version 5.4
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon May 26 2003 - mjancar@suse.cz
- remove Carp::Clan conflicting with perl-Bit-Vector
* Thu May 22 2003 - mjancar@suse.cz
- use $RPM_OPT_FLAGS
- use #!/usr/bin/perl instead of #!perl in examples
- package omited man page
- dont package MANIFEST
* Tue May 20 2003 - mjancar@suse.cz
- remove unpackaged files
* Thu Dec 19 2002 - prehak@suse.cz
- updated to version 5.3
- added doc files, adjusted their permissions
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Tue Jan 22 2002 - rvasice@suse.cz
- update to version 5.0
- actualize filelist
- use macros %%{perl_sitearch}, %%{perl_archlib}, %%{_prefix}
- added make test
* Mon Nov 06 2000 - grimmer@suse.de
- renamed from perl_dc to perl-Date-Calc
- update to Version 4.3
- spec file cleanups (macros, BuildRoot)
* Fri Jan 21 2000 - ro@suse.de
- fixed filelist
* Thu Oct 28 1999 - tmg@suse.de
- created package (Date-Calc-4.2)
